> ## Documentation Index
> Fetch the complete documentation index at: https://developers.circle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Request payment configurations and routes

You can use the API to discover which corridors, currencies, and payment methods
are available. Retrieving this information and handling it in your integration
allows you to show your users the available sources and destinations for funds
in CPN.

## Steps

Use the following steps to request CPN configuration overview, and get the
available routes from country to country.

### Step 1: Request configuration overview

Make a request to the
[configurations overview endpoint](/api-reference/cpn/cpn-platform/get-payment-configurations-overview)
to receive a list of supported currencies, countries, payment methods, and
blockchains.

```shell Shell theme={null}
curl -H "Authorization: Bearer ${YOUR_API_KEY}" \
  -X GET https://api.circle.com/v1/cpn/v1/ofi/configurations/overview
```

**Response**

```json JSON theme={null}
{
  "data": {
    "sourceCurrencies": ["USDC"],
    "destinationCountries": ["BR", "HK", "MX", "NG", "US"],
    "destinationCurrencies": ["BRL", "HKD", "MXN", "NGN", "USD"],
    "paymentMethodTypes": [
      "ACH-BANK-TRANSFER",
      "BANK-TRANSFER",
      "CHATS",
      "FPS",
      "PIX",
      "SPEI",
      "WIRE"
    ],
    "blockchains": ["ETH-SEPOLIA", "MATIC-AMOY", "SOL-DEVNET"]
  }
}
```

### Step 2: Request available route details

Evaluate the available route details for a specific transfer by making a request
to the
[supported payment routes endpoint](/api-reference/cpn/cpn-platform/list-routes).
This example evaluates a route from the US to Mexico, but other routes can be
evaluated by changing the query parameters. The endpoint accepts an optional
`transactionVersion` query param (`VERSION_1`, `VERSION_2`); with `VERSION_2`, a
chain-specific buffer is added to the crypto min limit to cover fees (for
example, gas fee), paid in USDC from the source amount.

```shell Shell theme={null}
curl -H "Authorization: Bearer ${YOUR_API_KEY}" \
  -X GET https://api.circle.com/v1/cpn/v1/ofi/configurations/routes?sourceCurrency=USDC&destinationCountry=MX
```

**Response**

```json JSON theme={null}
{
  "data": [
    {
      "destinationCurrency": "MXN",
      "paymentMethodType": "SPEI",
      "blockchain": "ETH-SEPOLIA",
      "fiatLimit": {
        "min": "168",
        "max": "837500",
        "currency": "MXN"
      },
      "cryptoLimit": {
        "min": "8.34",
        "max": "41552.14",
        "currency": "USDC"
      }
    }
  ]
}
```
